\begin{code}
module VFP where

import VFP.Bits                                   -- sized bit strings, a simple example of an indexed type

import VFP.Serialise                              -- encoders and *partial* decoders (Show and Read for bit strings)
import VFP.Serialise.Ad-hoc                       -- an ad-hoc decoder to illustrate the problem with Agda's termination checker
import VFP.Serialise.Indexed                      -- encoders and *total* decoders* using indexed types (aka total parsing combinators)
import VFP.Serialise.Indexed.Codec                -- a „type class“ bundling parsers, pretty-printers, and proofs
import VFP.Serialise.Indexed.Huffman              -- type-directed Huffman encoding 
import VFP.Serialise.Indexed.Example              -- some example applications of codecs
import VFP.Serialise.Indexed.Ad-hoc               -- an ad-hoc decoder to illustrate course-of-values recursion
import VFP.Serialise.Huffman                      -- type-directed Huffman encoding (using *partial* decoders)
\end{code}
