\begin{code}
{-# OPTIONS --without-K --safe #-}

module VFP.Function.Equality where

open import VFP.Function public
open import VFP.Equality.Properties public

private variable
  A B : Set
\end{code}

-------------------------------------------------------------------------------

\begin{code}
infix 6 _⩧_
_⩧_ : (f g : A -> B) -> Set
f ⩧ g = ∀ a -> f a ≡ g a
\end{code}

-------------------------------------------------------------------------------
