\begin{code}
{-# OPTIONS --without-K --safe #-}

module VFP.Function.Equality.Reasoning where

open import VFP.Function.Equality.Properties public

private variable
  A B : Set
\end{code}

\begin{code}
infixr 0 ⩧-backward
infix  1 _∎

syntax ⩧-backward x q p = x ⩧⟨ p ⟩ q
⩧-backward : (f : A -> B) {g h : A -> B} → g ⩧ h → f ⩧ g → f ⩧ h
x ⩧⟨ x⩧y ⟩ y⩧z = ⩧-transitive x⩧y y⩧z

_∎ :  (f : A -> B) → f ⩧ f
x ∎ = ⩧-reflexive

by-definition = ⩧-reflexive
\end{code}

    f
  ⩧⟨ why? ⟩
    g
  ∎
